Skip to main content

Fulfill Repayment Plan

PUT 

/plan/:repayment_plan_id/fulfilment

Requests that Two marks the repayment plan as fulfilled.

This endpoint will submit a request for Two to mark the repayment plan as fulfilled (the HTTP 202 response code indicates that Two has successfully received the request to fulfil this repayment plan). Note that fulfilment in Two's systems will happen asynchronously, so your integration should check the repayment plan fulfilment_status using the repayment plan status endpoint before marking the repayment plan as fulfilled (or fulfilled by Two) in your own system.

  • Before the fulfilment request is received for a given repayment plan, fulfilment_status in the repayment plan status endpoint will show as NOT_INITIATED.
  • Once the request has been received, but before it is considered fulfilled by Two, the status endpoint's fulfilment_status will be marked as PENDING.
  • When the fulfilment request has been completed in Two's systems, fulfilment_status will be SUCCEEDED.
  • It is possible for fulfilment_status to show as FAILED if the credit decision for the plan has expired and Two has reassessed the buyer for this plan and can no longer support this repayment plan.

Request​

Responses​

Successful Response